#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
%bcond_without	threads		# build without support for threads
%bcond_without	gdbm		# build without the GDBM_File module
#
# TODO:
# - fix "FIXME"s
# - add the {O,N}DBM_File modules
# - `diagnostics.pm' (perl-base) requires `perldiag.pod' (perl-perldoc)
#   move .pod file to -base or S: perl-perldoc in -base
# - what about "prove" (binary+manual)? (conflicts with standalone Test-Harness)
# - consider separating C/XS development files (*.h, libperl.so)
#   and perl development modules (like MakeMaker, Devel...)
# - subpackage for perl-ExtUtils-MakeMaker, (instmodsh conflicts with
#   perl-ExtUtils-MakeMaker)
# - resolve ugly perl-base/perl-dirs dependency loop
#   (in fact perl-dirs dep in perl-base could be dropped and perl-dirs
#    deps in external modules autogenerated - perhaps with proper ">= version")
#
# TODO for perl-dependent packages:
# - change all "R/BR: perl" to one of perl-{base,modules,devel}
#
# NOTE
# - modules in 5.20.0: http://search.cpan.org/~rjbs/perl-5.20.0/

%define		abi	5.40.0
%define		perlthread	%{?with_threads:-thread-multi}

%define		perl_privlib	%{_datadir}/perl5/%{ver}
%define		perl_archlib	%{_libdir}/perl5/%{ver}/%{_target_platform}%{perlthread}
%define		perl_sitelib	%{_usr}/local/share/perl5
%define		perl_sitearch	%{_usr}/local/lib/perl5/%{abi}/%{_target_platform}%{perlthread}
%define		perl_vendorlib	%{_datadir}/perl5/vendor_perl
%define		perl_vendorarch	%{_libdir}/perl5/vendor_perl/%{abi}/%{_target_platform}%{perlthread}

# extract module version from source
%define		perl_modver()		%([ -f %{SOURCE3} ] && awk -vp=%1 '$1 == p { print $3 }' %{SOURCE3} || echo ERROR)
%define		perl_modverrel()	%([ -f %{SOURCE3} ] && awk -vp=%1 -vr=%2 '$1 == p { print $3"-"r }' %{SOURCE3} || echo ERROR)
%define		perl_modversion()	%([ -f %{SOURCE3} ] && awk -vp=%1 '$1 == p { m=$1; gsub(/::/, "-", m); printf("perl-%s = %s\\n", m, $3)}END{if (!m) printf("# Error looking up [%s]\\n", p) }' %{SOURCE3} || echo ERROR)
%define		perl_mod2ver()		%([ -f %{SOURCE4} ] && awk -vp=%1 '$1 == p { print $4 }' %{SOURCE4} || echo ERROR)
%define		perl_mod2verrel()	%([ -f %{SOURCE4} ] && awk -vp=%1 -vr=%2 '$1 == p { print $4"-"r }' %{SOURCE4} || echo ERROR)
%define		perl_mod2version()	%([ -f %{SOURCE4} ] && awk -vp=%1 '$1 == p { m=$2; printf("perl-%s = %s\\n", p, $4)}END{if (!m) printf("# Error looking up [%s]\\n", p) }' %{SOURCE4} || echo ERROR)

%define		ver	5.40.1
%define		rel	1
Summary:	Practical Extraction and Report Language (Perl)
Summary(cs.UTF-8):	Programovací jazyk Perl
Summary(da.UTF-8):	Programmeringssproget Perl
Summary(de.UTF-8):	Praktische Extraktions- und Berichtsprache
Summary(es.UTF-8):	Lenguaje práctica de extracción y listado
Summary(fr.UTF-8):	Langage de programmation Perl
Summary(id.UTF-8):	Bahasa pemrograman Perl
Summary(is.UTF-8):	Forritunarmálið Perl
Summary(it.UTF-8):	Perl: linguaggio di programmazione
Summary(ja.UTF-8):	Perl プログラミング言語
Summary(ko.UTF-8):	펄 프로그래밍 언어
Summary(nb.UTF-8):	Programmeringsspråket Perl
Summary(pl.UTF-8):	Interpreter języka Perl (Practical Extraction and Report Language)
Summary(pt.UTF-8):	A linguagem de programação Perl
Summary(pt_BR.UTF-8):	Linguagem prática de extração e relatório
Summary(ru.UTF-8):	Язык программирования Perl
Summary(sk.UTF-8):	Programovací jazyk Perl
Summary(sl.UTF-8):	Programski jezik Perl
Summary(sv.UTF-8):	Programmeringsspråket Perl
Summary(tr.UTF-8):	Kabuk yorumlama dili
Summary(zh_CN.UTF-8):	Perl 编程语言。
Name:		perl
Version:	%{ver}
Release:	%{rel}%{!?with_threads:_nothr}
Epoch:		1
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	https://www.cpan.org/src/5.0/%{name}-%{ver}.tar.xz
# Source0-md5:	bab3547a5cdf2302ee0396419d74a42e
Source1:	http://www.mif.pg.gda.pl/homepages/ankry/man-PLD/%{name}-non-english-man-pages.tar.bz2
# Source1-md5:	de47d7893f49ad7f41ba69c78511c0db
Source2:	%{name}.prov
Source3:	%{name}-modules
Source4:	%{name}-modules2
Patch0:		x32-io-msg-skip.diff
Patch2:		%{name}_580-errno_h-parsing.patch
Patch3:		%{name}_581-soname.patch
Patch4:		%{name}-test-noproc.patch
Patch6:		%{name}-write-permissions.patch
Patch7:		%{name}-t-syslog.patch
Patch8:		%{name}-Destroy-GDBM-NDBM-ODBM-SDBM-_File-objects.patch
Patch10:	%{name}-invalid-void-use.patch
URL:		http://dev.perl.org/perl5/
%ifarch ppc
# gcc 3.3.x miscompiles pp_hot.c
BuildRequires:	gcc >= 5:4.1
%endif
%{?with_gdbm:BuildRequires:	gdbm-devel}
# asm-generic, merged x86 asm dirs
BuildRequires:	linux-libc-headers >= 7:2.6.24
%{?with_tests:BuildRequires:	procps}
# required for proper Provides generation (older are not supported by spec)
BuildRequires:	rpm-build >= 4.6
BuildRequires:	rpmbuild(macros) >= 1.750
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	%{name}-base = %{epoch}:%{ver}-%{release}
Requires:	%{name}-modules = %{epoch}:%{ver}-%{release}
Suggests:	%{name}-doc-reference = %{epoch}:%{ver}-%{release}
Suggests:	perldoc
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		__perl		%{_builddir}/perl-%{ver}/runperl
%if %{_ver_ge '%{_rpmversion}' '4.16'} && %{_ver_lt '%{_rpmversion}' '5'}
%define		__perllib_provides %{__perl} %{SOURCE2}
%else
%define		__perl_provides %{__perl} %{SOURCE2}
%endif

%description
Perl is an interpreted language optimized for scanning arbitrary text
files, extracting information from those text files, and printing
reports based on that information. It's also a good language for many
system management tasks. The language is intended to be practical
(easy to use, efficient, complete) rather than beautiful (tiny,
elegant, minimal).

%description -l cs.UTF-8
Perl je vyšší programovací jazyk s kořeny v jazyce C, sed, awk a
shellových skriptech. Perl je vhodný pro manipulace s procesy a
soubory, ale obzvláště se hodí ke zpracovávání textů. Perl vyniká
praktičností účinností. I když se používá prakticky na cokoli, většina
Perlových programů slouží jako správcovské utility nebo programy pro
WWW. V Perlu je napsáno velmi mnoho CGI skriptů pro WWW servery na
celém světě.

%description -l da.UTF-8
Perl er et høgniveauprogramsprog med røtter i C, sed, awk og
skalskript. Perl er godt på at behandle processer og filer, og er
særskilt godt på at behandle text. Utmærkende for Perl er at det er
praktisk og effektivt. Det bruges for at gøre en mængd forskellige
saker, men de almindeligeste programmerne er systemadministration og
webbprogrammering. En stor andel af CGI-skripten på webben er skrivna
i Perl. Du behøver installere pakken Perl på dit system så at ditt
system kan behandle Perlskript.

%description -l de.UTF-8
Perl ist eine Interpreter-Sprache, die zum Durchsuchen beliebiger
Text- dateien, Extrahieren von Informationen aus diesen Dateien und
Drucken von auf diesen Informationen basierenden Berichten optimiert
ist. Die Sprache eignet sich außerdem für viele
Systemverwaltungsaufgaben. Sie ist eher praktisch (einfache
Anwendung,effizient, vollständig) als schön (winzig, elegant,
minimal).

%description -l es.UTF-8
Perl es un lenguaje interpretado, optimizado para manejar archivos
texto, extrayendo información de estos archivos y mostrando listados
basados en esta información. También es un buen lenguaje para varias
tareas de administración de sistema. El lenguaje busca ser más
práctico (fácil de usar, eficiente, completo) que bonito (minúsculo,
elegante, mínimo).

%description -l fr.UTF-8
Perl est un langage interprété, optimisé pour filtrer des fichiers
texte, extraire des informations de ces fichiers, et imprimer des
rapports basés sur ces informations. C'est aussi un bon langage pour
de nombreuses procédures de gestion système. Ce langage se veut
pratique (simple à utiliser, efficace, complet) autant qu'agréable
(conscrit, élégant, minimal).

%description -l id.UTF-8
Perl adalah sebuah bahasa pemrograman tingkat tinggi yang didasarkan
pada C, sed, awk, dan bahasa shell. Perl memiliki kemampuan penanganan
proses dan file yang bagus, tapi terutama kemampuan penanganan teksnya
yang baik. Ciri khas Perl adalah kepraktisan dan efisiensi. Meski
digunakan untuk berbagai hal, aplikasi Perl yang paling umum adalah
utilitas sistem administrasi dan pemrograman web. Sebagian besar skrip
CGI yang ada di web ditulis dalam Perl. Anda Perlu memasang paket Perl
di sistem agar dapat menjalankan skrip-skrip Perl.

%description -l is.UTF-8
Perl er hás stigs forritunar tungumál sem á rætur sínar að rekja til
C, sed, awk, og skeljar forritunar. Perl er góð í að meðhöndla
processa og skrár og er sérstaklega góð í að meðhöndla texta. Perls
kostir eru nytsamleiki og virkni. Á meðan það er notað til að gera
marga mismunandi hluti, Perl mest notuðu forrit eru krefisstjórnunar
tól og vef forritun Stór hluti af CGI forritum á vefnum eru skrifaðar
í Perl. Þú þarft Perl pakkann settan upp á þínu krefi svo þitt kerfi
geti notað Perl scriptur.

%description -l it.UTF-8
Perl è un linguaggio di programmazione di alto livello derivato dal
linguaggio C, da sed, da awk e dallo scripting delle shell. E' adatto
per la gestione di processi, di file e in particolare di file di
testo. Perl è un linguaggio semplice ed efficiente. Viene utilizzato
per numerosi scopi, ma le sue applicazioni più diffuse sono le utility
di amministrazione del sistema e la programmazione Web. Una grossa
parte degli script CGI nel Web sono scritti in Perl. È consigliabile
installare il pacchetto Perl in modo che il sistema sia in grado di
gestire gli script di Perl.

%description -l ja.UTF-8
Perl は C言語、sed, awk、及び シェルスクリプティングに根源を
持つハイレベルな プログラム言語です。Perl はプロセスやファイルの処理に
適切で 、特に テキスト処理には最適です。さまざまな作業に
使用されますが、 Perlの最も頻繁な活用はシステムアドミニストレーション
ユーティリティと webプログラミングです。web上の 大部分のCGI"
スクリプトがPerlで書かれています。 システムがPerlスクリプトを
処理出来るようにするためには Perlパッケージを インストールする
必要があります。

%description -l pl.UTF-8
Perl jest językiem przeznaczonym do skanowania plików tekstowych,
wyciągania z nich informacji i drukowania raportu bazującego na tych
informacjach. Jest również doskonałym językiem do wielu prac
związanych z nadzorem systemu. Język ten jest w zamierzeniu bardziej
praktyczny (łatwy w użyciu, wydajny, kompletny) niż piękny (skromny,
elegancki, minimalny).

%description -l pt.UTF-8
O Perl é uma linguagem de programação de alto nível que tem como
raizes o C, sed, awk, e 'shell scripting'. O Perl é bom a manipular
processos e ficheiros, e é especialmente bom para manipular texto.
Características do Perl são a eficiência e o uso prático. As
aplicações mais comuns do Perl são utilitários de administração de
sistema e programação Web. Uma grande parte dos 'scripts' CGI na Web
são escritos em Perl. Você precisa do pacote Perl instalado no seu
sistema de maneira a que este possa tratar de 'scripts' de Perl.

%description -l pt_BR.UTF-8
Perl é uma linguagem interpretada, otimizada para tratar arquivos
texto, extraindo informação desses arquivos e mostrando relatórios
baseados nessa informação. Também é uma boa linguagem para várias
tarefas de administração de sistema. A linguagem procura ser mais
prática (fácil de usar, eficiente, completa) do que bonita (minúscula,
elegante, mínima).

%description -l ru.UTF-8
Perl - это интерпретируемый язык программирования, уходящий корнями в
C, sed, awk и языки командных оболочек (shell). Perl хорош для работы
с процессами и файлами, а особенно хорош для задач обработки текстов.
Особенности Perl - практичность и эффективность. Хотя он и
используется для решения самых разных задач, наиболее распространенные
применения (и то, в чем он силен) это, вероятно, утилиты системного
администрирования и web-программирование. Большая часть CGI скриптов
написана на Perl.

%description -l sk.UTF-8
Perl je programovací jazyk vyššej úrovne s koreňmi v C, sed, awk, a
shell skriptoch. Perl má vhodné vlastnosti pre spracovanie procesov a
súborov a je zvlášť vhodný pre spracovanie textu. Jeho cieľmi sú
praktičnosť a efektivita. Aj keď je používaný pre množstvo rozličných
činností, jeho najčastejším použitím (a kde vyniká najviac) sú
pravdepodobne nástroje pre správu systému a programovanie na Webe.
Veľká časť CGI skriptov na Webe je napísaná v Perle. Balík Perl
potrebujete mať nainštalovaný, aby bol váš systém schopný spracovať
Perl skripty.

%description -l sv.UTF-8
Perl är ett högnivåprogramspråk med rötter i C, sed, awk och
skalskript. Perl är bra på att hantera processer och filer, och är
särskilt bra på att hantera text. Utmärkande för Perl är att det är
praktiskt och effektivt. Det används för att göra en mängd olika
saker, men de vanligaste tillämpningarna är systemadministration och
webbprogrammering. En stor andel av CGI-skripten på webben är skrivna
i Perl. Du behöver installera paketet Perl på ditt system så att ditt

%description -l tr.UTF-8
Perl, metin dosyalarını taramak, bu metin dosyalarından bilgi çıkarmak
ve bu bilgiye dayalı raporlar hazırlamak icin geliştirilmiş bir
yorumlamalı dildir. Ayrıca pek çok sistem yönetimi görevleri için de
yararlı yetenekleri vardır. Perl, güzel (ufak, zarif, minimum)
olmaktan çok, pratik olmaya yönelik (kullanımı kolay, verimli,
eksiksiz) olarak tasarlanmıştır.

%description -l uk.UTF-8
Perl - це інтерпретована мова програмування, що запозичує ідеї в C,
sed, awk та мовах командних оболонок (shell). Perl добре підходить для
роботи з процесами та файлами, а найкраще - для обробки текстів.
Особливості Perl - практичність та ефективність. Хоча сфера його
використання дуже широка, найбільш поширене його застосування (та
найсильніша сторона) це, імовірно, утиліти системного адміністрування
та web-програмування. Більша частина CGI скриптів написана на Perl.

%description -l zh_CN.UTF-8
Perl 是一种高级编程语言，起源于 C、sed、awk 和 shell 脚本。
它善于处理进程和文件，尤其是处理文本。Perl
的特点在于其实用性和有效性。
尽管它可用于执行许多不同的任务，但是通常多应用于系统管理实用程序和 Web
编程。\n Web 上的大部分 CGI 脚本均使用 Perl
语言进行编写。您必须在系统中安装 Perl 软件包， 以便处理 Perl 脚本。

%package libs
Summary:	Shared Perl library
Summary(pl.UTF-8):	Biblioteka współdzielona Perla
Group:		Libraries
Obsoletes:	perl-lib < 1:5.6.1-7
Conflicts:	perl-base < 1:5.8.8-8.1

%description libs
Shared Perl library.

%description libs -l pl.UTF-8
Biblioteka współdzielona Perla.

%package base
Summary:	Base Perl components for a minimal installation
Summary(pl.UTF-8):	Podstawowe składniki potrzebne do minimalnej instalacji Perla
Group:		Development/Languages/Perl
Requires:	%{name}-libs = %{epoch}:%{ver}-%{release}
Requires:	%{perl_vendorarch}
Requires:	%{perl_vendorlib}
Requires:	perl(Scalar::Util)
Provides:	perl(largefiles)
Provides:	%perl_mod2version IO-Compress
Provides:	%perl_mod2version PathTools
Provides:	%perl_modversion File::Compare
Provides:	%perl_modversion File::Temp
Provides:	%perl_modversion Getopt::Long
Provides:	%perl_modversion IO
Provides:	%perl_modversion IO::Zlib
Provides:	%perl_modversion IPC::Cmd
Provides:	%perl_modversion Perl::OSType
Provides:	%perl_modversion PerlIO::via::QuotedPrint
Provides:	%perl_modversion Socket
Provides:	%perl_modversion Tie::File
Provides:	%perl_modversion Tie::RefHash
Provides:	%perl_modversion parent
Obsoletes:	perl-File-Compare < %perl_modverrel File::Compare 99
Obsoletes:	perl-File-Temp < %perl_modverrel File::Temp 99
Obsoletes:	perl-IO < %perl_modverrel IO 99
Obsoletes:	perl-IO-Compress < %perl_mod2verrel IO-Compress 99
Obsoletes:	perl-IO-Zlib < %perl_modverrel IO::Zlib 99
Obsoletes:	perl-IPC-Cmd < %perl_modverrel IPC::Cmd 99
Obsoletes:	perl-PathTools < %perl_mod2verrel PathTools 99
Obsoletes:	perl-Perl-OSType < %perl_modverrel Perl::OSType 99
Obsoletes:	perl-PerlIO-via-QuotedPrint < %perl_modverrel PerlIO::via::QuotedPrint 99
Obsoletes:	perl-Socket < %perl_modverrel Socket 99
Obsoletes:	perl-Tie-File < %perl_modverrel Tie::File 99
Obsoletes:	perl-Tie-RefHash < %perl_modverrel Tie::RefHash 99
Obsoletes:	perl-parent < %perl_modverrel parent 99
Obsoletes:	sperl < 1:5.12.0
Conflicts:	perl < 1:5.8.0

%description base
Base components, files, core modules, etc. -- a minimal usable Perl
installation. You are encouraged to install a full Perl (the perl
package) whenever possible.

%description base -l pl.UTF-8
Podstawowe składniki, pliki, główne moduły itp. - minimalna instalacja
Perla, nadająca się do użytku. Zaleca się instalację pełnego Perla
(pakietu perl), jeśli to tylko możliwe.

%package devel
Summary:	Perl development files
Summary(pl.UTF-8):	Pliki potrzebne przy tworzeniu własnych aplikacji w Perlu
Summary(pt_BR.UTF-8):	Arquivos de desenvolvimento e cabeçalhos para o Perl
Group:		Development/Libraries
Requires:	%{name}-base = %{epoch}:%{ver}-%{release}
Requires:	%{name}-modules = %{epoch}:%{ver}-%{release}
Requires:	%{name}-tools-pod = %{epoch}:%{ver}-%{release}
Provides:	%perl_modversion CPAN
Provides:	%perl_modversion CPAN::Meta
Provides:	%perl_modversion CPAN::Meta::YAML
Provides:	%perl_modversion Devel::PPPort
Provides:	%perl_modversion Devel::Peek
Provides:	%perl_modversion ExtUtils::CBuilder
Provides:	%perl_modversion ExtUtils::Command
Provides:	%perl_modversion ExtUtils::Embed
Provides:	%perl_modversion ExtUtils::Install
Provides:	%perl_modversion ExtUtils::MakeMaker
Provides:	%perl_modversion ExtUtils::Manifest
Provides:	%perl_modversion ExtUtils::ParseXS
Obsoletes:	perl-CPAN < %perl_modverrel CPAN 99
Obsoletes:	perl-CPAN-Meta < %perl_modverrel CPAN::Meta 99
Obsoletes:	perl-CPAN-Meta-YAML < %perl_modverrel CPAN::Meta::YAML 99
Obsoletes:	perl-Devel-PPPort < %perl_modverrel Devel::PPPort 99
Obsoletes:	perl-Devel-Peek < %perl_modverrel Devel::Peek 99
Obsoletes:	perl-ExtUtils-CBuilder < %perl_modverrel ExtUtils::CBuilder 99
Obsoletes:	perl-ExtUtils-Command < %perl_modverrel ExtUtils::Command 99
Obsoletes:	perl-ExtUtils-Embed < %perl_modverrel ExtUtils::Embed 99
Obsoletes:	perl-ExtUtils-Install < %perl_modverrel ExtUtils::Install 99
Obsoletes:	perl-ExtUtils-MakeMaker < %perl_modverrel ExtUtils::MakeMaker 99
Obsoletes:	perl-ExtUtils-Manifest < %perl_modverrel ExtUtils::Manifest 99
Obsoletes:	perl-ExtUtils-ParseXS < %perl_modverrel ExtUtils::ParseXS 99
Obsoletes:	perl-lib-devel < 1:5.6.1-7

%description devel
Components required for developing applications which embed a Perl
interpreter and compiling Perl modules.

%description devel -l pl.UTF-8
Składniki potrzebne do tworzenia aplikacji osadzających interpreter
Perla oraz kompilowania modułów Perla.

%package doc-pod
Summary:	Perl documentation in POD format
Summary(pl.UTF-8):	Dokumentacja Perla w formacie POD
Group:		Documentation
Requires:	perldoc
Obsoletes:	perl-pod < 1:5.8.0

%description doc-pod
Practical Extraction and Report Language - POD docs.

%description doc-pod -l pl.UTF-8
Practical Extraction and Report Language - dokumentacja w formacie
POD.

%package doc-reference
Summary:	Perl reference documentation
Summary(pl.UTF-8):	Dokumentacja Perla
Group:		Documentation
BuildArch:	noarch

%description doc-reference
Reference documentation for the Practical Extraction and Report
Language and it's interpreter in the man(1) format.

%description doc-reference -l pl.UTF-8
Dokumentacja referencyjna w formacie man do języka Perl (Practical
Extraction and Report Language) i jego interpretera.

%package modules
Summary:	Modules from the core Perl distribution
Summary(pl.UTF-8):	Moduły z podstawowej dystrybucji Perla
Group:		Libraries
Requires:	%{name}-base = %{epoch}:%{ver}-%{release}
Requires:	perl-Encode >= 2:2.49-%{ver}.%{rel}
Suggests:	perl-Version-Requirements
Provides:	%perl_modversion Archive::Tar
Provides:	%perl_modversion Attribute::Handlers
Provides:	%perl_modversion Compress::Raw::Bzip2
Provides:	%perl_modversion Compress::Raw::Zlib
Provides:	%perl_modversion Compress::Zlib
Provides:	%perl_modversion Digest
Provides:	%perl_modversion Digest::MD5
Provides:	%perl_modversion Digest::SHA
Provides:	%perl_modversion Filter::Simple
Provides:	%perl_modversion FindBin
Provides:	%perl_modversion I18N::LangTags
Provides:	%perl_modversion IPC::SysV
Provides:	%perl_modversion JSON::PP
Provides:	%perl_modversion Locale::Maketext
Provides:	%perl_modversion Locale::Maketext::Simple
Provides:	%perl_modversion MIME::Base64
Provides:	%perl_modversion Math::BigInt
Provides:	%perl_modversion Math::BigInt::FastCalc
Provides:	%perl_modversion Math::BigRat
Provides:	%perl_modversion Math::Complex
Provides:	%perl_modversion Math::Trig
Provides:	%perl_modversion Memoize
Provides:	%perl_modversion Module::CoreList
Provides:	%perl_modversion Module::Load
Provides:	%perl_modversion Module::Load::Conditional
Provides:	%perl_modversion Module::Metadata
Provides:	%perl_modversion NEXT
Provides:	%perl_modversion Params::Check
Provides:	%perl_modversion Parse::CPAN::Meta
Provides:	%perl_modversion Pod::Escapes
Provides:	%perl_modversion Pod::Simple
Provides:	%perl_modversion Safe
Provides:	%perl_modversion Storable
Provides:	%perl_modversion Sys::Syslog
Provides:	%perl_modversion Term::ANSIColor
Provides:	%perl_modversion Term::Cap
Provides:	%perl_modversion Test
Provides:	%perl_modversion Test::Builder::Tester
Provides:	%perl_modversion Test::Harness
Provides:	%perl_modversion Test::Simple
Provides:	%perl_modversion Test::Tester
Provides:	%perl_modversion Test::use::ok
Provides:	%perl_modversion Text::Balanced
Provides:	%perl_modversion Text::ParseWords
Provides:	%perl_modversion Time::HiRes
Provides:	%perl_modversion Time::Piece
Provides:	%perl_modversion UNIVERSAL
Provides:	%perl_modversion Unicode::Collate
Provides:	%perl_modversion Unicode::Normalize
Provides:	%perl_modversion bignum
Provides:	%perl_modversion libnet
Provides:	%perl_modversion version
Obsoletes:	perl-Archive-Tar < %perl_modverrel Archive::Tar 99
Obsoletes:	perl-Attribute-Handlers < %perl_modverrel Attribute::Handlers 99
Obsoletes:	perl-Compress-Raw-Bzip2 < %perl_modverrel Compress::Raw::Bzip2 99
Obsoletes:	perl-Compress-Raw-Zlib < %perl_modverrel Compress::Raw::Zlib 99
Obsoletes:	perl-Compress-Zlib < %perl_modverrel Compress::Zlib 99
Obsoletes:	perl-Digest < %perl_modverrel Digest 99
Obsoletes:	perl-Digest-MD5 < %perl_modverrel Digest::MD5 99
Obsoletes:	perl-Digest-SHA < %perl_modverrel Digest::SHA 99
Obsoletes:	perl-Filter-Simple < %perl_modverrel Filter::Simple 99
Obsoletes:	perl-FindBin < %perl_modverrel FindBin 99
Obsoletes:	perl-I18N-LangTags < %perl_modverrel I18N::LangTags 99
Obsoletes:	perl-IPC-SysV < %perl_modverrel IPC::SysV 99
Obsoletes:	perl-JSON-PP < %perl_modverrel JSON::PP 99
Obsoletes:	perl-Locale-Maketext < %perl_modverrel Locale::Maketext 99
Obsoletes:	perl-Locale-Maketext-Simple < %perl_modverrel Locale::Maketext::Simple 99
Obsoletes:	perl-MIME-Base64 < %perl_modverrel MIME::Base64 99
Obsoletes:	perl-Math-BigInt < %perl_modverrel Math::BigInt 99
Obsoletes:	perl-Math-BigInt-FastCalc < %perl_modverrel Math::BigInt::FastCalc 99
Obsoletes:	perl-Math-BigRat < %perl_modverrel Math::BigRat 99
Obsoletes:	perl-Math-Complex < %perl_modverrel Math::Complex 99
Obsoletes:	perl-Math-Trig < %perl_modverrel Math::Trig 99
Obsoletes:	perl-Memoize < %perl_modverrel Memoize 99
Obsoletes:	perl-Module-CoreList < %perl_modverrel Module::CoreList 99
Obsoletes:	perl-Module-Load < %perl_modverrel Module::Load 99
Obsoletes:	perl-Module-Load-Conditional < %perl_modverrel Module::Load::Conditional 99
Obsoletes:	perl-Module-Metadata < %perl_modverrel Module::Metadata 99
Obsoletes:	perl-NEXT < %perl_modverrel NEXT 99
Obsoletes:	perl-Params-Check < %perl_modverrel Params::Check 99
Obsoletes:	perl-Parse-CPAN-Meta < %perl_modverrel Parse::CPAN::Meta 99
Obsoletes:	perl-Pod-Escapes < %perl_modverrel Pod::Escapes 99
Obsoletes:	perl-Pod-Simple < %perl_modverrel Pod::Simple 99
Obsoletes:	perl-Safe < %perl_modverrel Safe 99
Obsoletes:	perl-Storable < %perl_modverrel Storable 99
Obsoletes:	perl-Sys-Syslog < %perl_modverrel Sys::Syslog 99
Obsoletes:	perl-Term-ANSIColor < %perl_modverrel Term::ANSIColor 99
Obsoletes:	perl-Term-Cap < %perl_modverrel Term::Cap 99
Obsoletes:	perl-Test < %perl_modverrel Test 99
Obsoletes:	perl-Test-Builder-Tester < %perl_modverrel Test::Builder::Tester 99
Obsoletes:	perl-Test-Harness < %perl_modverrel Test::Harness 99
Obsoletes:	perl-Test-Simple < %perl_modverrel Test::Simple 99
Obsoletes:	perl-Test-Tester < %perl_modverrel Test::Tester 99
Obsoletes:	perl-Test-use-ok < %perl_modverrel Test::use::ok 99
Obsoletes:	perl-Text-Balanced < %perl_modverrel Text::Balanced 99
Obsoletes:	perl-Text-ParseWords < %perl_modverrel Text::ParseWords 99
Obsoletes:	perl-Time-HiRes < %perl_modverrel Time::HiRes 99
Obsoletes:	perl-Time-Piece < %perl_modverrel Time::Piece 99
Obsoletes:	perl-UNIVERSAL < %perl_modverrel UNIVERSAL 99
Obsoletes:	perl-Unicode-Collate < %perl_modverrel Unicode::Collate 99
Obsoletes:	perl-Unicode-Normalize < %perl_modverrel Unicode::Normalize 99
Obsoletes:	perl-bignum < %perl_modverrel bignum 99
Obsoletes:	perl-libnet < %perl_modverrel libnet 99
Obsoletes:	perl-version < %perl_modverrel version 99

%description modules
Practical Extraction and Report Language - modules from the core
distribution.

%description modules -l pl.UTF-8
Practical Extraction and Report Language - moduły z podstawowej
dystrybucji.

%package perldoc
Summary:	perldoc - Look up Perl documentation in pod format
Summary(pl.UTF-8):	perldoc - przeszukiwanie dokumentacji Perla w formacie pod
Group:		Development/Tools
Requires:	%{name}-modules = %{epoch}:%{ver}-%{release}
Requires:	%{name}-tools-pod
Requires:	groff
Provides:	perldoc = 3.14_02@%{ver}

%description perldoc
perldoc looks up a piece of documentation in .pod format that is
embedded in the Perl installation tree or in a Perl script, and
displays it via "pod2man | nroff -man | $PAGER". This is primarily
used for the documentation for the Perl library modules.

%description perldoc -l pl.UTF-8
perldoc wyszukuje fragment dokumentacji w formacie .pod osadzony w
drzewie instalacji Perla lub w skypcie perlowym i wyświetla go przez
"pod2man | nroff -man | $PAGER". Program ten używany jest głównie do
dokumentacji modułów z bibliotek Perla.

%package tools
Summary:	Various tools from the core Perl distribution
Summary(pl.UTF-8):	Różne narzędzia z podstawowej dystrybucji Perla
Group:		Applications
Requires:	%{name}-devel = %{epoch}:%{ver}-%{release}

%description tools
Various tools from the core Perl distribution:
encguess	- guess encodning
and others.

%description tools -l pl.UTF-8
Różne narzędzia z podstawowej dystrybucji Perla:
encguess	- odgaduje kodowanie znaków
i inne.

%package tools-devel
Summary:	Developer's tools from the core Perl distribution
Summary(pl.UTF-8):	Narzędzia z podstawowej dystrybucji Perla, przeznaczone dla programistów
Group:		Development/Tools
Requires:	%{name}-base = %{epoch}:%{ver}-%{release}
Requires:	%{name}-devel = %{epoch}:%{ver}-%{release}

%description tools-devel
Various tools from the core Perl distribution:
h2ph		- convert .h C header files to .ph Perl header files
h2xs		- convert .h C header files to Perl extensions
perlivp		- Perl Installation Verification Procedure
pl2pm		- Rough tool to translate Perl4 .pl files to Perl5 .pm modules.
splain		- force verbose warning diagnostics

%description tools-devel -l pl.UTF-8
Różne narzędzia z podstawowej dystrybucji Perla:
h2ph		- konwerter plików nagłówkowych .h z C na perlowe pliki
		  nagłówkowe .ph
h2xs		- konwerter plików nagłówkowych .h z C na rozszerzenia
		  Perla
perlivp		- procedura weryfikacji instalacji Perla
pl2pm		- zgrubne narzędzie do tłumaczenia plików pl Perla 4 na
		  moduły .pm Perla 5
splain		- wymuszenie obszernych ostrzeżeń diagnostycznych

%package tools-pod
Summary:	Tools for manipulating files in the POD format
Summary(pl.UTF-8):	Narzędzia do przetwarzania plików w formacie POD
Group:		Applications
Requires:	%{name}-modules = %{epoch}:%{ver}-%{release}
Requires:	perl-Encode >= 2:2.49-%{ver}.%{rel}

%description tools-pod
Tools for manipulating files in the POD (Plain Old Documentation)
format:
pod2html	- convert .pod files to .html files
pod2latex	- convert pod documentation to LaTeX format
pod2man		- convert POD data to formatted *roff input
pod2text	- convert POD data to formatted ASCII text
pod2usage	- print usage messages from embedded pod docs in files
podchecker	- check the syntax of POD format documentation files
podselect	- print selected sections of pod documentation

%description tools-pod -l pl.UTF-8
Narzędzia do przetwarzania plików w formacie POD (Plain Old
Documentation):
pod2html	- konwerter plików .pod do plików .html
pod2latex	- konwerter dokumentacji pod do formatu LaTeX
pod2man		- konwerter danych POD na wejście sformatowane dla *roffa
pod2text	- konwerter danych POD na sformatowany tekst ASCII
pod2usage	- wypisanie informacji o używaniu programu z dokumentacji
		  osadzonej w plikach
podchecker	- kontrola składni dokumentacji w formacie POD
podselect	- wypisanie wybranych sekcji z dokumentacji POD

%package Encode
Summary:	Encode - character encodings
Summary(pl.UTF-8):	Encode - kodowania znaków
Version:	%perl_modver Encode
Release:	%{ver}.%{rel}
Epoch:		3
Group:		Libraries
Requires:	%{name}-base = 1:%{ver}-%{rel}
Obsoletes:	perl-Encode-compat < 1

%description Encode
The Encode module provides the interfaces between Perl's strings and
the rest of the system.

%description Encode -l pl.UTF-8
Moduł Encode udostępnia interfejs pomiędzy łańcuchami w wewnętrznym
formacie Perla a resztą systemu.

%package GDBM_File
Summary:	GDBM_File - Perl5 access to the gdbm library
Summary(pl.UTF-8):	GDBM_File - dostęp do biblioteki gdbm w Perlu
Version:	%perl_modver GDBM_File
Release:	%{ver}.%{rel}
Epoch:		4
Group:		Libraries
Requires:	%{name}-base = 1:%{ver}-%{rel}

%description GDBM_File
GDBM_File is a module which allows Perl programs to make use of the
facilities provided by the GNU gdbm library.

%description GDBM_File -l pl.UTF-8
GDBM_File jest modułem, który umożliwia programom w Perlu korzystanie
z biblioteki GNU gdbm.

%package Scalar-List-Utils
Summary:	List::Util and Scalar::Util - selection of general-utility scalar subroutines
Summary(pl.UTF-8):	List::Util i Scalar::Util - wybór procedur skalarnych ogólnego zastosowania
# extra subst to change 1.4202 -> 1.42_02 (so that 1.45 can follow as next version)
Version:	%(echo %{perl_mod2ver Scalar-List-Utils} | sed -re 's,\.([0-9]{2})([0-9]+)$,.\1_\2,')
Release:	%{ver}.%{rel}
Epoch:		0
Group:		Development/Languages/Perl
URL:		http://search.cpan.org/dist/Scalar-List-Utils/

%description Scalar-List-Utils
This package contains a selection of subroutines that people have
expressed would be nice to have in the perl core, but the usage would
not really be high enough to warrant the use of a keyword, and the
size so small such that being individual extensions would be wasteful.

%description Scalar-List-Utils -l pl.UTF-8
Ten pakiet zawiera wybrane procedury, które według niektórych ludzi
powinny znaleźć się w głównym pakiecie Perla, ale użyteczność nie jest
zbyt duża, a rozmiar za mały na tworzenie oddzielnych rozszerzeń.

# Setting Version in last %package resets the %version macro. This hack works around it.
%define		version	%{ver}

%prep
%setup -q
%patch0 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch10 -p1

cat > runperl <<'EOF'
#!/bin/sh
# Prevent any system paths from being used.
# Note: you cant use runperl -MXYZ because BEGIN is executed after -M
LD_PRELOAD="%{_builddir}/%{name}-%{ver}/libperl.so.%{abi}" \
PERL5LIB="%{buildroot}%{perl_privlib}:%{buildroot}%{perl_archlib}" \
exec %{buildroot}%{_bindir}/perl -e 'BEGIN { @INC = ("%{buildroot}%{perl_privlib}", "%{buildroot}%{perl_archlib}"); }; if (@ARGV > 0) { my $script=shift(@ARGV); $0=$script; do($script) or die "Error attempting to execute script: $@\n"; } ' \
    ${1:+"$@"}
EOF
chmod a+x runperl

%build
unset LD_SYMBOLIC_FUNCTIONS || :
sh Configure \
	-des \
	-Dcc="%{__cc}" \
	-Darchname=%{_target_platform} \
	-Dcccdlflags='-fPIC' \
	-Dccdlflags='-rdynamic' \
	-Dldlibpthname=none \
	-Dldflags="%{rpmldflags}" \
	-Dlddlflags="-shared %{rpmldflags}" \
	-Doptimize="%{rpmcflags}" \
	-%{?debug:D}%{!?debug:U}DEBUGGING \
	-Duseshrplib \
	-Dman1dir=%{_mandir}/man1 -Dman1ext=1 \
	-Dman3dir=%{_mandir}/man3 -Dman3ext=3perl \
	-Dvendorman1dir=%{_mandir}/man1 -Dvendorman1ext=1p \
	-Dvendorman3dir=%{_mandir}/man3 -Dvendorman3ext=3pm \
	-Dsiteman1dir=%{_usr}/local/man/man1 -Dsiteman1ext=1p \
	-Dsiteman3dir=%{_usr}/local/man/man3 -Dsiteman3ext=3pm \
	-Dprefix=%{_prefix} -Dvendorprefix=%{_prefix} -Dsiteprefix=%{_usr}/local \
	-Dlibpth="%{_libdir} /%{_lib}" \
	-Dprivlib=%{perl_privlib} -Darchlib=%{perl_archlib} \
	-Dsitelib=%{perl_sitelib} -Dsitearch=%{perl_sitearch} \
	-Dvendorlib=%{perl_vendorlib} -Dvendorarch=%{perl_vendorarch} \
	-Ui_db \
	%{!?with_gdbm: -Ui_dbm -Ui_gdbm -Ui_ndbm} \
	%{?with_gdbm: -Ui_dbm -Di_gdbm -Ui_ndbm} \
	-Dlibswanted="dl m c crypt %{?with_gdbm:gdbm}" \
	-%{?with_threads:D}%{!?with_threads:U}usethreads \
	-Duselargefiles

%{__make} \
	LIBPERL_SONAME=libperl.so.%{abi} \
	LDDLFLAGS="%{rpmcflags} -shared"

%{?with_tests:%{__make} test -j1}
#%{?with_tests:%{__make} minitest}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_mandir}/{ja,ko,zh_CN,zh_TW}/man1

## use symlinks instead of hardlinks
%{__ln_s} -f perl%{ver}	$RPM_BUILD_ROOT%{_bindir}/perl

## install directory needed by packages dependant on TAP::Harness
install -d $RPM_BUILD_ROOT%{perl_privlib}/TAP/Harness
## install directory needed by packages dependant on Encode
install -d $RPM_BUILD_ROOT%{perl_vendorlib}/Encode

## Fix lib
%{__rm} $RPM_BUILD_ROOT%{perl_archlib}/CORE/libperl.so
%{__mv} $RPM_BUILD_ROOT%{perl_archlib}/CORE/libperl.so.%{abi} $RPM_BUILD_ROOT%{_libdir}
%{__ln_s} ../../../../libperl.so.%{abi} $RPM_BUILD_ROOT%{perl_archlib}/CORE/libperl.so.%{abi}
%{__ln_s} libperl.so.%{abi} $RPM_BUILD_ROOT%{_libdir}/libperl.so
# installed as non-executable - let rpm generate deps
chmod 755 $RPM_BUILD_ROOT%{_libdir}/libperl.so.%{abi}

## Fix Config.pm: remove buildroot path and change man pages extensions
%{__perl} -pi -e 's,%{buildroot}/*,/,g'			$RPM_BUILD_ROOT%{perl_archlib}/Config.pm
%{__perl} -pi -e "s,^man1ext='1',man1ext='1p',"		$RPM_BUILD_ROOT%{perl_archlib}/Config_heavy.pl
%{__perl} -pi -e "s,^man3ext='3perl',man3ext='3pm',"	$RPM_BUILD_ROOT%{perl_archlib}/Config_heavy.pl

## Generate the *.ph files
owd=$(pwd)
cd /usr/include
H2PH=$RPM_BUILD_ROOT%{_bindir}/h2ph
PHDIR=$RPM_BUILD_ROOT%{perl_archlib}
WANTED='
	syscall.h
	syslog.h
	termios.h
	wait.h
	asm/termios.h
	sys/ioctl.h
	sys/socket.h
	sys/syscall.h
	sys/time.h
	linux/posix_types.h
	linux/stddef.h
'
# why it returns non-zero???
%{__perl} $H2PH -a -d $PHDIR $WANTED || :
cd "$owd"

## remove man pages for other operating systems
%{__rm}	$RPM_BUILD_ROOT%{_mandir}/man1/perl{aix,amiga,bs2000,cygwin}* \
	$RPM_BUILD_ROOT%{_mandir}/man1/perl{freebsd,hpux,macos,os2,os390}* \
	$RPM_BUILD_ROOT%{_mandir}/man1/perl{qnx,solaris,vms,vos,win32}*

## symlink perldelta.1.gz -> perlFOOdelta.1.gz
[ -e $RPM_BUILD_ROOT%{_mandir}/man1/perl%(echo %{ver} | tr -d .)delta.1 ] || exit 1
%{__rm} $RPM_BUILD_ROOT%{_mandir}/man1/perldelta.1
echo ".so perl%(echo %{ver} | tr -d .)delta.1" >$RPM_BUILD_ROOT%{_mandir}/man1/perldelta.1

## These File::Spec submodules are for non-Unix systems
%{__rm} $RPM_BUILD_ROOT%{perl_archlib}/File/Spec/[EMOVW]*.pm
%{__rm} $RPM_BUILD_ROOT%{_mandir}/man3/File::Spec::{Epoc,Mac,OS2,VMS,Win32}.3perl*

## We already have these *.pod files as man pages
%{__rm} $RPM_BUILD_ROOT%{perl_privlib}/{Encode,Locale{,/Maketext},Module,Net,Test,version}/*.pod
%{__rm} $RPM_BUILD_ROOT%{perl_privlib}/*.pod
%{__rm} $RPM_BUILD_ROOT%{perl_archlib}/*.pod

## We don't build NDBM_File that Memoize::NDBM_File requires
%{__rm} $RPM_BUILD_ROOT%{perl_privlib}/Memoize/NDBM_File.pm
%{__rm} $RPM_BUILD_ROOT%{_mandir}/man3/Memoize::NDBM_File.3perl*

install -d doc-base/{DynaLoader,Errno,File/Glob,IO,PathTools} \
	doc-devel/{Devel/Peek,ExtUtils/{CBuilder,ParseXS}} \
	doc-modules/{Attribute/Handlers,Carp,Data/Dumper,Hash/Util/FieldHash,I18N/LangTags,Locale/Maketext} \
	doc-modules/{Module/CoreList,Net/Ping,Safe,Search/Dict,Storable,Time/HiRes,base,if,mro,unicore}
cp -p dist/Attribute-Handlers/Changes doc-modules/Attribute/Handlers
cp -p dist/Carp/{Changes,README} doc-modules/Carp
cp -p dist/Data-Dumper/{Changes,Todo} doc-modules/Data/Dumper
cp -p dist/ExtUtils-CBuilder/Changes doc-devel/ExtUtils/CBuilder
cp -p dist/ExtUtils-ParseXS/Changes doc-devel/ExtUtils/ParseXS
cp -p dist/I18N-LangTags/{ChangeLog,README} doc-modules/I18N/LangTags
cp -p dist/IO/{ChangeLog,README} doc-base/IO
cp -p dist/Locale-Maketext/{ChangeLog,README} doc-modules/Locale/Maketext
cp -p dist/Module-CoreList/{Changes,README} doc-modules/Module/CoreList
cp -p dist/Net-Ping/Changes doc-modules/Net/Ping
cp -p dist/PathTools/Changes doc-base/PathTools
cp -p dist/Safe/{Changes,README} doc-modules/Safe
cp -p dist/Search-Dict/Changes doc-modules/Search/Dict
cp -p dist/Storable/{ChangeLog,README} doc-modules/Storable
cp -p dist/Time-HiRes/Changes doc-modules/Time/HiRes
cp -p dist/base/Changes doc-modules/base
cp -p dist/if/Changes doc-modules/if
cp -p ext/Devel-Peek/Changes doc-devel/Devel/Peek
cp -p ext/DynaLoader/README doc-base/DynaLoader
cp -p ext/Errno/ChangeLog doc-base/Errno
cp -p ext/File-Glob/{Changes,TODO} doc-base/File/Glob
cp -p ext/Hash-Util/Changes doc-modules/Hash/Util
cp -p ext/Hash-Util-FieldHash/Changes doc-modules/Hash/Util/FieldHash
cp -p ext/mro/Changes doc-modules/mro

# needed only for tests
%{__rm} $RPM_BUILD_ROOT%{perl_privlib}/Unicode/Collate/keys.txt
# source for *.pl
%{__rm} $RPM_BUILD_ROOT%{perl_privlib}/unicore/*.txt
# lib/Unicode/UCD.pm opens them via openunicode():
cp -p lib/unicore/{Blocks,CaseFolding,SpecialCasing}.txt $RPM_BUILD_ROOT%{perl_privlib}/unicore

# cpan tools, we use rpm instead of cpan for managing packages (some search tool would be nice to have but...)
%{__rm} $RPM_BUILD_ROOT%{_bindir}/cpan*
%{__rm} $RPM_BUILD_ROOT%{_mandir}/man1/cpan*

owd=$(pwd)

## non-english man pages
%{__bzip2} -dc %{SOURCE1} | tar xf - -C $RPM_BUILD_ROOT%{_mandir}

%{__mv} $RPM_BUILD_ROOT%{_mandir}/man1/perlcn.* $RPM_BUILD_ROOT%{_mandir}/zh_CN/man1
%{__mv} $RPM_BUILD_ROOT%{_mandir}/man1/perljp.* $RPM_BUILD_ROOT%{_mandir}/ja/man1
%{__mv} $RPM_BUILD_ROOT%{_mandir}/man1/perlko.* $RPM_BUILD_ROOT%{_mandir}/ko/man1
%{__mv} $RPM_BUILD_ROOT%{_mandir}/man1/perltw.* $RPM_BUILD_ROOT%{_mandir}/zh_TW/man1

# `perl -MExtUtils::Embed -e ldopts` includes -Wl,--as-needed
# which is then forced upon anyone embedding perl.
%{__sed} -i -e 's#^\(ld.*=.*\)-Wl,--as-needed\(.*\)#\1 \2#g' $RPM_BUILD_ROOT%{perl_archlib}/Config*.pl

%{__rm} $RPM_BUILD_ROOT%{_mandir}/README.perl-non-english-man-pages

# update and check perl-modules files
echo '# Module versions from Perl %{ver} distribution.' > perl-modules.tmp
for m in $(awk '!/^#/ && !/^$/{print $1}' %{SOURCE3}); do
	case $m in
	libnet)
		v=$(awk '/VERSION/ {print $3; exit}' cpan/libnet/Makefile.PL | tr -d "',")
		;;
	# special cased since do eval on VERSION
	ExtUtils::CBuilder|Compress::Raw::Bzip2|Compress::Raw::Zlib)
		v=$(%{__perl} -e "use $m; print version->parse(\$$m::VERSION)->numify")
		;;
	*)
		v=$(%{__perl} -e "use $m; print \$$m::VERSION")
		;;
	esac
	echo "$m = $v" >> perl-modules.tmp
done
LC_ALL=C sort perl-modules.tmp > perl-modules && rm perl-modules.tmp

echo '# Non-straight named module versions from Perl %{ver} distribution.' > perl-modules2.tmp
for m in $(awk '!/^#/ && !/^$/{print $1"!"$2}' %{SOURCE4}); do
	mn="${m##*!}"
	mp="${m%%!*}"
	case $m in
	*)
		v=$(%{__perl} -e "use $mn; print \$$mn::VERSION")
		;;
	esac
	echo "$mp	$mn = $v" >> perl-modules2.tmp
done
LC_ALL=C sort perl-modules2.tmp > perl-modules2 && rm perl-modules2.tmp

if ! cmp -s %{SOURCE3} perl-modules; then
	: %{SOURCE3} outdated with $(pwd)/perl-modules
	exit 1
fi
if ! cmp -s %{SOURCE4} perl-modules2; then
	: %{SOURCE4} outdated with $(pwd)/perl-modules2
	exit 1
fi

%clean
rm -rf $RPM_BUILD_ROOT

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README AUTHORS
%attr(755,root,root) %{_bindir}/perlthanks
%{_mandir}/man1/perlthanks.1*

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libperl.so.%{abi}

%files base
%defattr(644,root,root,755)
%doc doc-base/*
%attr(755,root,root) %{_bindir}/perl
%attr(755,root,root) %{_bindir}/perl%{ver}
%{_mandir}/man1/perl.1*
%lang(fi) %{_mandir}/fi/man1/perl.1*
%lang(pl) %{_mandir}/pl/man1/perl.1*

%dir %{_datadir}/perl5
%dir %{perl_privlib}
%dir %{_libdir}/perl5
%dir %{_libdir}/perl5/%{ver}
%dir %{perl_archlib}
%dir %{perl_archlib}/CORE
%attr(755,root,root) %{perl_archlib}/CORE/libperl.so.%{abi}
%dir %{perl_archlib}/auto

## pragmas
%{perl_privlib}/_charnames.pm
%{perl_privlib}/autodie.pm
%{perl_privlib}/autodie
%{_mandir}/man3/autodie*.3perl*
%{perl_privlib}/base.pm
%{_mandir}/man3/base.3perl*
%{perl_privlib}/builtin.pm
%{_mandir}/man3/builtin.3perl*
%{perl_privlib}/constant.pm
%{_mandir}/man3/constant.3perl*
%{perl_privlib}/diagnostics.pm
%{_mandir}/man3/diagnostics.3perl*
%{perl_privlib}/experimental.pm
%{_mandir}/man3/experimental.3perl*
%{perl_privlib}/feature.pm
%{_mandir}/man3/feature.3perl*
%{perl_privlib}/fields.pm
%{_mandir}/man3/fields.3perl*
%{perl_privlib}/integer.pm
%{_mandir}/man3/integer.3perl*
%{perl_privlib}/overload.pm
%{perl_privlib}/overload
%{_mandir}/man3/overload.3perl*
%{perl_privlib}/overloading.pm
%{_mandir}/man3/overloading.3perl*
%{perl_privlib}/parent.pm
%{_mandir}/man3/parent.3perl*
%{perl_privlib}/sort.pm
%{_mandir}/man3/sort.3perl*
%{perl_privlib}/strict.pm
%{_mandir}/man3/strict.3perl*
%{perl_privlib}/subs.pm
%{_mandir}/man3/subs.3perl*
%{perl_privlib}/vars.pm
%{_mandir}/man3/vars.3perl*
%{perl_privlib}/warnings.pm
%{perl_privlib}/warnings
%{_mandir}/man3/warnings*.3perl*

%{perl_archlib}/lib.pm
%{_mandir}/man3/lib.3perl*

## arch-_IN_dependent modules
%{perl_privlib}/AutoLoader.pm
%{_mandir}/man3/AutoLoader.3perl*
%{perl_privlib}/AutoSplit.pm
%{_mandir}/man3/AutoSplit.3perl*
%{perl_privlib}/Carp.pm
%{perl_privlib}/Carp
%{_mandir}/man3/Carp.3perl*
%dir %{perl_privlib}/Class
%{perl_privlib}/Class/Struct.pm
%{_mandir}/man3/Class::Struct.3perl*
%{perl_privlib}/Compress
%{_mandir}/man3/Compress::Zlib.3perl*
%{perl_privlib}/Exporter.pm
%{perl_privlib}/Exporter
%{_mandir}/man3/Exporter*.3perl*
%{perl_privlib}/English.pm
%{_mandir}/man3/English.3perl*
%{perl_privlib}/Fatal.pm
%{_mandir}/man3/Fatal.3perl*
%{perl_privlib}/Getopt
%{_mandir}/man3/Getopt::Long*.3perl*
%{_mandir}/man3/Getopt::Std.3perl*
%{perl_privlib}/HTTP
%{_mandir}/man3/HTTP::Tiny.3perl*
%{perl_privlib}/IPC
%{_mandir}/man3/IPC::Cmd.3perl*
%{_mandir}/man3/IPC::Open2.3perl*
%{_mandir}/man3/IPC::Open3.3perl*
%{perl_privlib}/SelectSaver.pm
%{_mandir}/man3/SelectSaver.3perl*
%{perl_privlib}/Symbol.pm
%{_mandir}/man3/Symbol.3perl*
%{perl_privlib}/Tie
%{_mandir}/man3/Tie::Array.3perl*
%{_mandir}/man3/Tie::File.3perl*
%{_mandir}/man3/Tie::Handle.3perl*
%{_mandir}/man3/Tie::Hash.3perl*
%{_mandir}/man3/Tie::Hash::NamedCapture.3perl*
%{_mandir}/man3/Tie::Memoize.3perl*
%{_mandir}/man3/Tie::RefHash.3perl*
%{_mandir}/man3/Tie::Scalar.3perl*
%{_mandir}/man3/Tie::StdHandle.3perl*
%{_mandir}/man3/Tie::SubstrHash.3perl*
%{perl_privlib}/UNIVERSAL.pm
%{_mandir}/man3/UNIVERSAL.3perl*
%{perl_privlib}/XSLoader.pm
%{_mandir}/man3/XSLoader.3perl*

## arch-dependent modules
%{perl_archlib}/Compress
%dir %{perl_archlib}/auto/Compress
%dir %{perl_archlib}/auto/Compress/Raw
%dir %{perl_archlib}/auto/Compress/Raw/Bzip2
%attr(755,root,root) %{perl_archlib}/auto/Compress/Raw/Bzip2/Bzip2.so
%dir %{perl_archlib}/auto/Compress/Raw/Zlib
%attr(755,root,root) %{perl_archlib}/auto/Compress/Raw/Zlib/Zlib.so
%{_mandir}/man3/Compress::Raw::Bzip2.3perl*
%{_mandir}/man3/Compress::Raw::Zlib.3perl*

%{perl_archlib}/Config.pm
%{perl_archlib}/Config_git.pl
%{perl_archlib}/Config_heavy.pl
%{_mandir}/man3/Config.3perl*
%{perl_archlib}/DynaLoader.pm
%{_mandir}/man3/DynaLoader.3perl*
%{perl_archlib}/Errno.pm
%{_mandir}/man3/Errno.3perl*

%{perl_archlib}/Cwd.pm
%dir %{perl_archlib}/auto/Cwd
%attr(755,root,root) %{perl_archlib}/auto/Cwd/Cwd.so
%{_mandir}/man3/Cwd.3perl*

%{perl_archlib}/Fcntl.pm
%dir %{perl_archlib}/auto/Fcntl
%attr(755,root,root) %{perl_archlib}/auto/Fcntl/Fcntl.so
%{_mandir}/man3/Fcntl.3perl*

%{perl_privlib}/File
%{perl_privlib}/FileCache.pm
%{perl_privlib}/FileHandle.pm
%{perl_archlib}/File
%dir %{perl_archlib}/auto/File
%dir %{perl_archlib}/auto/File/DosGlob
%attr(755,root,root) %{perl_archlib}/auto/File/DosGlob/DosGlob.so
%dir %{perl_archlib}/auto/File/Glob
%attr(755,root,root) %{perl_archlib}/auto/File/Glob/Glob.so
%{_mandir}/man3/File::Basename.3perl*
%{_mandir}/man3/File::Compare.3perl*
%{_mandir}/man3/File::Copy.3perl*
%{_mandir}/man3/File::DosGlob.3perl*
%{_mandir}/man3/File::Fetch.3perl*
%{_mandir}/man3/File::Find.3perl*
%{_mandir}/man3/File::Glob.3perl*
%{_mandir}/man3/File::GlobMapper.3perl*
%{_mandir}/man3/File::Path.3perl*
%{_mandir}/man3/File::Spec*.3perl*
%{_mandir}/man3/File::Temp.3perl*
%{_mandir}/man3/File::stat.3perl*
%{_mandir}/man3/FileCache.3perl*
%{_mandir}/man3/FileHandle.3perl*

%{perl_privlib}/IO
%{perl_archlib}/IO.pm
%{perl_archlib}/IO
%dir %{perl_archlib}/auto/IO
%attr(755,root,root) %{perl_archlib}/auto/IO/IO.so
%{_mandir}/man3/IO*.3perl*

%{perl_archlib}/Opcode.pm
%dir %{perl_archlib}/auto/Opcode
%attr(755,root,root) %{perl_archlib}/auto/Opcode/Opcode.so
%{_mandir}/man3/Opcode.3perl*

%dir %{perl_privlib}/Perl
%{perl_privlib}/Perl/OSType.pm
%{_mandir}/man3/Perl::OSType.3perl*

%{perl_privlib}/PerlIO.pm
%{perl_privlib}/PerlIO
%{perl_archlib}/PerlIO
%dir %{perl_archlib}/auto/PerlIO
%dir %{perl_archlib}/auto/PerlIO/encoding
%attr(755,root,root) %{perl_archlib}/auto/PerlIO/encoding/encoding.so
%dir %{perl_archlib}/auto/PerlIO/mmap
%attr(755,root,root) %{perl_archlib}/auto/PerlIO/mmap/mmap.so
%dir %{perl_archlib}/auto/PerlIO/via
%attr(755,root,root) %{perl_archlib}/auto/PerlIO/via/via.so
%{_mandir}/man3/PerlIO*.3perl*

%{perl_archlib}/POSIX.pm
%dir %{perl_archlib}/auto/POSIX
%attr(755,root,root) %{perl_archlib}/auto/POSIX/POSIX.so
%{_mandir}/man3/POSIX.3perl*

%{perl_archlib}/Socket.pm
%dir %{perl_archlib}/auto/Socket
%attr(755,root,root) %{perl_archlib}/auto/Socket/Socket.so
%{_mandir}/man3/Socket.3perl*

%files devel
%defattr(644,root,root,755)
%doc doc-devel/*
%attr(755,root,root) %{_libdir}/libperl.so
%{perl_archlib}/CORE/*.h
%{_mandir}/man3/CORE.3perl*

%{perl_privlib}/App/Cpan.pm
%{_mandir}/man3/App::Cpan.3perl*
%{perl_privlib}/ExtUtils
%{_mandir}/man3/ExtUtils::CBuilder*.3perl*
%{_mandir}/man3/ExtUtils::Command*.3perl*
%{_mandir}/man3/ExtUtils::Constant*.3perl*
%{_mandir}/man3/ExtUtils::Embed.3perl*
%{_mandir}/man3/ExtUtils::Install.3perl*
%{_mandir}/man3/ExtUtils::Installed.3perl*
%{_mandir}/man3/ExtUtils::Liblist.3perl*
%{_mandir}/man3/ExtUtils::MM*.3perl*
%{_mandir}/man3/ExtUtils::MY.3perl*
%{_mandir}/man3/ExtUtils::MakeMaker*.3perl*
%{_mandir}/man3/ExtUtils::Manifest.3perl*
%{_mandir}/man3/ExtUtils::Miniperl.3perl*
%{_mandir}/man3/ExtUtils::Mkbootstrap.3perl*
%{_mandir}/man3/ExtUtils::Mksymlists.3perl*
%{_mandir}/man3/ExtUtils::PL2Bat.3perl*
%{_mandir}/man3/ExtUtils::Packlist.3perl*
%{_mandir}/man3/ExtUtils::ParseXS*.3perl*
%{_mandir}/man3/ExtUtils::Typemaps*.3perl*
%{_mandir}/man3/ExtUtils::testlib.3perl*
%{perl_privlib}/vmsish.pm
%{_mandir}/man3/vmsish.3perl*
%{perl_privlib}/CPAN.pm
%{perl_privlib}/CPAN
%{_mandir}/man3/CPAN.3perl*
%{_mandir}/man3/CPAN::API::HOWTO.3perl*
%{_mandir}/man3/CPAN::Debug.3perl*
%{_mandir}/man3/CPAN::Distroprefs.3perl*
%{_mandir}/man3/CPAN::FirstTime.3perl*
%{_mandir}/man3/CPAN::HandleConfig.3perl*
%{_mandir}/man3/CPAN::Kwalify.3perl*
%{_mandir}/man3/CPAN::Meta*.3perl*
%{_mandir}/man3/CPAN::Mirrors.3perl*
%{_mandir}/man3/CPAN::Nox.3perl*
%{_mandir}/man3/CPAN::Plugin*.3perl*
%{_mandir}/man3/CPAN::Queue.3perl*
%{_mandir}/man3/CPAN::Tarzip.3perl*
%{_mandir}/man3/CPAN::Version.3perl*
%{perl_privlib}/DB.pm
%{_mandir}/man3/DB.3perl*

%{perl_archlib}/O.pm
%{_mandir}/man3/O.3perl*

%{perl_privlib}/Devel
%{perl_archlib}/Devel
%dir %{perl_archlib}/auto/Devel
%dir %{perl_archlib}/auto/Devel/Peek
%attr(755,root,root) %{perl_archlib}/auto/Devel/Peek/Peek.so
%{_mandir}/man3/Devel::PPPort.3perl*
%{_mandir}/man3/Devel::Peek.3perl*
%{_mandir}/man3/Devel::SelfStubber.3perl*

%files doc-pod
%defattr(644,root,root,755)
%{perl_privlib}/pod/perl.pod
%{perl_privlib}/pod/perl[5abceghijklmnopqrstuvwx]*.pod
%{perl_privlib}/pod/perld[!i]*.pod
%{perl_privlib}/pod/perlf[!au]*.pod

%files doc-reference
%defattr(644,root,root,755)
%{_mandir}/man1/perl[5aefghlmnoprsuvwx]*.1*
%{_mandir}/man1/perlbook.1*
%{_mandir}/man1/perlboot.1*
%{_mandir}/man1/perlbot.1*
%{_mandir}/man1/perlcall.1*
%{_mandir}/man1/perlclass.1*
%{_mandir}/man1/perlclassguts.1*
%{_mandir}/man1/perlcheat.1*
%{_mandir}/man1/perlclib.1*
%{_mandir}/man1/perlcommunity.1*
%{_mandir}/man1/perld[!o]*.1*
%{_mandir}/man1/perli[!v]*.1*
%{_mandir}/man1/perlthrtut.1*
%{_mandir}/man1/perltie.1*
%{_mandir}/man1/perltoc.1*
%{_mandir}/man1/perltodo.1*
%{_mandir}/man1/perltooc.1*
%{_mandir}/man1/perltoot.1*
%{_mandir}/man1/perltrap.1*
%{_mandir}/man1/perltru64.1*

%lang(fi) %{_mandir}/fi/man1/perlbook.1*
%lang(pl) %{_mandir}/pl/man1/perldata.1*
%lang(pl) %{_mandir}/pl/man1/perl[fors]*.1*
%lang(zh_CN) %{_mandir}/zh_CN/man1/perlcn.1*
%lang(ja) %{_mandir}/ja/man1/perljp.1*
%lang(ko) %{_mandir}/ko/man1/perlko.1*
%lang(zh_TW) %{_mandir}/zh_TW/man1/perltw.1*

%files modules
%defattr(644,root,root,755)
%doc doc-modules/*

%{perl_privlib}/unicore

## pragmas
%{perl_privlib}/autouse.pm
%{_mandir}/man3/autouse.3perl*
%{perl_privlib}/big*.pm
%{_mandir}/man3/big*.3perl*
%{perl_privlib}/blib.pm
%{_mandir}/man3/blib.3perl*
%{perl_privlib}/bytes.pm
%{_mandir}/man3/bytes.3perl*
%{perl_privlib}/charnames.pm
%{_mandir}/man3/charnames.3perl*
%{perl_privlib}/deprecate.pm
%{_mandir}/man3/deprecate.3perl*
%{perl_privlib}/encoding
%{_mandir}/man3/encoding::warnings.3perl*
%{perl_privlib}/filetest.pm
%{_mandir}/man3/filetest.3perl*
%{perl_privlib}/if.pm
%{_mandir}/man3/if.3perl*
%{perl_privlib}/less.pm
%{_mandir}/man3/less.3perl*
%{perl_privlib}/locale.pm
%{_mandir}/man3/locale.3perl*
%{perl_privlib}/meta_notation.pm
%{perl_privlib}/ok.pm
%{_mandir}/man3/ok.3perl*
%{perl_privlib}/open.pm
%{_mandir}/man3/open.3perl*
%{perl_privlib}/sigtrap.pm
%{_mandir}/man3/sigtrap.3perl*
%{perl_privlib}/stable.pm
%{_mandir}/man3/stable.3perl*
%{perl_privlib}/utf8.pm
%{_mandir}/man3/utf8.3perl*
%{perl_privlib}/version.pm
%dir %{perl_privlib}/version
%{perl_privlib}/version/regex.pm
%{_mandir}/man3/version*.3perl*

%{perl_archlib}/attributes.pm
%dir %{perl_archlib}/auto/attributes
%attr(755,root,root) %{perl_archlib}/auto/attributes/attributes.so
%{_mandir}/man3/attributes.3perl*
%{perl_archlib}/mro.pm
%dir %{perl_archlib}/auto/mro
%attr(755,root,root) %{perl_archlib}/auto/mro/mro.so
%{_mandir}/man3/mro.3perl*
%{perl_archlib}/re.pm
%dir %{perl_archlib}/auto/re
%attr(755,root,root) %{perl_archlib}/auto/re/re.so
%{_mandir}/man3/re.3perl*
%{perl_archlib}/ops.pm
%{_mandir}/man3/ops.3perl*

%if %{with threads}
%{perl_archlib}/threads.pm
%{perl_archlib}/threads
%dir %{perl_archlib}/auto/threads
%dir %{perl_archlib}/auto/threads/shared
%attr(755,root,root) %{perl_archlib}/auto/threads/threads.so
%attr(755,root,root) %{perl_archlib}/auto/threads/shared/shared.so
%{_mandir}/man3/threads*.3perl*
%endif

## old *.pl files
%{perl_privlib}/*.pl

## *.ph files (could be made a separate package, but an autohelper's support is needed)
%{perl_archlib}/*.ph
%{perl_archlib}/asm
%ifnarch alpha ppc ppc64 sparc sparcv9 sparc64
# on archs which <asm/ioctl.h> uses <asm-generic/ioctl.h>
%{perl_archlib}/asm-generic
%endif
%{perl_archlib}/bits
%{perl_archlib}/gnu
%{perl_archlib}/linux
%{perl_archlib}/sys

%{perl_privlib}/B
%{perl_archlib}/B
%{perl_archlib}/B.pm
%dir %{perl_archlib}/auto/B
%attr(755,root,root) %{perl_archlib}/auto/B/B.so
%{_mandir}/man3/B.3perl*
%{_mandir}/man3/B::*.3perl*

%{perl_archlib}/Data
%dir %{perl_archlib}/auto/Data
%dir %{perl_archlib}/auto/Data/Dumper
%attr(755,root,root) %{perl_archlib}/auto/Data/Dumper/Dumper.so
%{_mandir}/man3/Data::Dumper.3perl*

%{perl_privlib}/Digest.pm
%{perl_privlib}/Digest
%{perl_archlib}/Digest
%dir %{perl_archlib}/auto/Digest
%dir %{perl_archlib}/auto/Digest/MD5
%attr(755,root,root) %{perl_archlib}/auto/Digest/MD5/MD5.so
%dir %{perl_archlib}/auto/Digest/SHA
%attr(755,root,root) %{perl_archlib}/auto/Digest/SHA/SHA.so
%{_mandir}/man3/Digest.3perl*
%{_mandir}/man3/Digest::MD5.3perl*
%{_mandir}/man3/Digest::SHA.3perl*
%{_mandir}/man3/Digest::base.3perl*
%{_mandir}/man3/Digest::file.3perl*

%{perl_privlib}/DBM_Filter.pm
%{perl_privlib}/DBM_Filter
%{_mandir}/man3/DBM_Filter*.3perl*

%{perl_privlib}/Filter
%{perl_archlib}/Filter
%dir %{perl_archlib}/auto/Filter
%dir %{perl_archlib}/auto/Filter/Util
%dir %{perl_archlib}/auto/Filter/Util/Call
%attr(755,root,root) %{perl_archlib}/auto/Filter/Util/Call/Call.so
%{_mandir}/man3/Filter::Simple.3perl*
%{_mandir}/man3/Filter::Util::Call.3perl*

%{perl_archlib}/Hash
%dir %{perl_archlib}/auto/Hash
%dir %{perl_archlib}/auto/Hash/Util
%dir %{perl_archlib}/auto/Hash/Util/FieldHash
%attr(755,root,root) %{perl_archlib}/auto/Hash/Util/Util.so
%attr(755,root,root) %{perl_archlib}/auto/Hash/Util/FieldHash/FieldHash.so
%{_mandir}/man3/Hash::Util*.3perl*

%{perl_privlib}/I18N
%{perl_archlib}/I18N
%dir %{perl_archlib}/auto/I18N
%dir %{perl_archlib}/auto/I18N/Langinfo
%attr(755,root,root) %{perl_archlib}/auto/I18N/Langinfo/Langinfo.so
%{_mandir}/man3/I18N::Collate.3perl*
%{_mandir}/man3/I18N::LangTags*.3perl*
%{_mandir}/man3/I18N::Langinfo.3perl*

%{perl_archlib}/IPC
%dir %{perl_archlib}/auto/IPC
%dir %{perl_archlib}/auto/IPC/SysV
%attr(755,root,root) %{perl_archlib}/auto/IPC/SysV/SysV.so
%{_mandir}/man3/IPC::Msg.3perl*
%{_mandir}/man3/IPC::Semaphore.3perl*
%{_mandir}/man3/IPC::SharedMem.3perl*
%{_mandir}/man3/IPC::SysV.3perl*

%{perl_privlib}/Math
%{perl_archlib}/Math
%dir %{perl_archlib}/auto/Math
%dir %{perl_archlib}/auto/Math/BigInt
%dir %{perl_archlib}/auto/Math/BigInt/FastCalc
%attr(755,root,root) %{perl_archlib}/auto/Math/BigInt/FastCalc/FastCalc.so
%{_mandir}/man3/Math::BigFloat.3perl*
%{_mandir}/man3/Math::BigInt*.3perl*
%{_mandir}/man3/Math::BigRat.3perl*
%{_mandir}/man3/Math::Complex.3perl*
%{_mandir}/man3/Math::Trig.3perl*

%{perl_archlib}/MIME
%dir %{perl_archlib}/auto/MIME
%dir %{perl_archlib}/auto/MIME/Base64
%attr(755,root,root) %{perl_archlib}/auto/MIME/Base64/Base64.so
%{_mandir}/man3/MIME::Base64.3perl*
%{_mandir}/man3/MIME::QuotedPrint.3perl*

%{perl_archlib}/SDBM_File.pm
%dir %{perl_archlib}/auto/SDBM_File
%attr(755,root,root) %{perl_archlib}/auto/SDBM_File/SDBM_File.so
%{_mandir}/man3/SDBM_File.3perl*

%{perl_archlib}/Storable.pm
%dir %{perl_archlib}/auto/Storable
%attr(755,root,root) %{perl_archlib}/auto/Storable/Storable.so
%{_mandir}/man3/Storable.3perl*

%{perl_archlib}/Sys
%dir %{perl_archlib}/auto/Sys
%dir %{perl_archlib}/auto/Sys/Hostname
%attr(755,root,root) %{perl_archlib}/auto/Sys/Hostname/Hostname.so
%dir %{perl_archlib}/auto/Sys/Syslog
%attr(755,root,root) %{perl_archlib}/auto/Sys/Syslog/Syslog.so
%{_mandir}/man3/Sys::Hostname.3perl*
%{_mandir}/man3/Sys::Syslog.3perl*

%{perl_privlib}/Time
%{perl_archlib}/Time
%dir %{perl_archlib}/auto/Time
%dir %{perl_archlib}/auto/Time/HiRes
%attr(755,root,root) %{perl_archlib}/auto/Time/HiRes/HiRes.so
%dir %{perl_archlib}/auto/Time/Piece
%attr(755,root,root) %{perl_archlib}/auto/Time/Piece/Piece.so
%{_mandir}/man3/Time::HiRes.3perl*
%{_mandir}/man3/Time::Local.3perl*
%{_mandir}/man3/Time::Piece.3perl*
%{_mandir}/man3/Time::Seconds.3perl*
%{_mandir}/man3/Time::gmtime.3perl*
%{_mandir}/man3/Time::localtime.3perl*
%{_mandir}/man3/Time::tm.3perl*

%dir %{perl_privlib}/Unicode
%{perl_privlib}/Unicode/Collate
%{perl_privlib}/Unicode/UCD.pm
%{perl_archlib}/Unicode
%dir %{perl_archlib}/auto/Unicode
%dir %{perl_archlib}/auto/Unicode/Collate
%attr(755,root,root) %{perl_archlib}/auto/Unicode/Collate/Collate.so
%dir %{perl_archlib}/auto/Unicode/Normalize
%attr(755,root,root) %{perl_archlib}/auto/Unicode/Normalize/Normalize.so
%{_mandir}/man3/Unicode::Collate*.3perl*
%{_mandir}/man3/Unicode::Normalize.3perl*
%{_mandir}/man3/Unicode::UCD.3perl*

%{perl_privlib}/AnyDBM_File.pm
%{_mandir}/man3/AnyDBM_File.3perl*
%dir %{perl_privlib}/App
%{perl_privlib}/App/Prove.pm
%{perl_privlib}/App/Prove
%{_mandir}/man3/App::Prove*.3perl*
%{perl_privlib}/Archive
%{_mandir}/man3/Archive::Tar*.3perl*
%{perl_privlib}/Attribute
%{_mandir}/man3/Attribute::Handlers.3perl*
%{perl_privlib}/Benchmark.pm
%{_mandir}/man3/Benchmark.3perl*
%{perl_privlib}/Config
%{_mandir}/man3/Config::Extensions.3perl*
%{_mandir}/man3/Config::Perl::V.3perl*
%{perl_privlib}/DirHandle.pm
%{_mandir}/man3/DirHandle.3perl*
%{perl_privlib}/Dumpvalue.pm
%{_mandir}/man3/Dumpvalue.3perl*
%{perl_privlib}/Env.pm
%{_mandir}/man3/Env.3perl*
%{perl_privlib}/FindBin.pm
%{_mandir}/man3/FindBin.3perl*
%{_mandir}/man3/Internals.3perl*
%{perl_privlib}/JSON
%{_mandir}/man3/JSON::PP*.3perl*
%{perl_privlib}/Locale
%{_mandir}/man3/Locale::Maketext.3*
%{_mandir}/man3/Locale::Maketext::Cookbook.3*
%{_mandir}/man3/Locale::Maketext::Guts.3*
%{_mandir}/man3/Locale::Maketext::GutsLoader.3*
%{_mandir}/man3/Locale::Maketext::Simple.3*
%{_mandir}/man3/Locale::Maketext::TPJ13.3*
%{perl_privlib}/Memoize
%{perl_privlib}/Memoize.pm
%{_mandir}/man3/Memoize*.3perl*
%dir %{perl_privlib}/Module
%{perl_privlib}/Module/CoreList.pm
%{perl_privlib}/Module/CoreList
%{perl_privlib}/Module/Load.pm
%{perl_privlib}/Module/Load
%{perl_privlib}/Module/Loaded.pm
%{perl_privlib}/Module/Metadata.pm
%{_mandir}/man3/Module::CoreList*.3perl*
%{_mandir}/man3/Module::Load*.3perl*
%{_mandir}/man3/Module::Metadata.3perl*
%{perl_privlib}/NEXT.pm
%{_mandir}/man3/NEXT.3perl*
%dir %{perl_privlib}/Net
%{perl_privlib}/Net/Cmd.pm
%{perl_privlib}/Net/Config.pm
%{perl_privlib}/Net/Domain.pm
%{perl_privlib}/Net/FTP.pm
%{perl_privlib}/Net/FTP
%{perl_privlib}/Net/NNTP.pm
%{perl_privlib}/Net/Netrc.pm
%{perl_privlib}/Net/POP3.pm
%{perl_privlib}/Net/Ping.pm
%{perl_privlib}/Net/SMTP.pm
%{perl_privlib}/Net/Time.pm
%{perl_privlib}/Net/hostent.pm
%{perl_privlib}/Net/netent.pm
%{perl_privlib}/Net/protoent.pm
%{perl_privlib}/Net/servent.pm
%{_mandir}/man3/Net::Cmd.3perl*
%{_mandir}/man3/Net::Config.3perl*
%{_mandir}/man3/Net::Domain.3perl*
%{_mandir}/man3/Net::FTP.3perl*
%{_mandir}/man3/Net::NNTP.3perl*
%{_mandir}/man3/Net::Netrc.3perl*
%{_mandir}/man3/Net::POP3.3perl*
%{_mandir}/man3/Net::Ping.3perl*
%{_mandir}/man3/Net::SMTP.3perl*
%{_mandir}/man3/Net::Time.3perl*
%{_mandir}/man3/Net::hostent.3perl*
%{_mandir}/man3/Net::libnetFAQ.3perl*
%{_mandir}/man3/Net::netent.3perl*
%{_mandir}/man3/Net::protoent.3perl*
%{_mandir}/man3/Net::servent.3perl*
%{perl_privlib}/Params
%{_mandir}/man3/Params::Check.3perl*
%{perl_privlib}/Parse
%{_mandir}/man3/Parse::CPAN::Meta.3perl*
%{perl_privlib}/Pod
%{_mandir}/man3/Pod::Checker.3perl*
%{_mandir}/man3/Pod::Escapes.3perl*
%{_mandir}/man3/Pod::Html.3perl*
%{_mandir}/man3/Pod::Html::Util.3perl*
%{_mandir}/man3/Pod::Man.3perl*
%{_mandir}/man3/Pod::ParseLink.3perl*
%{_mandir}/man3/Pod::Perldoc*.3perl*
%{_mandir}/man3/Pod::Simple*.3perl*
%{_mandir}/man3/Pod::Text*.3perl*
%{_mandir}/man3/Pod::Usage.3perl*
%{perl_privlib}/Safe.pm
%{_mandir}/man3/Safe.3perl*
%{perl_privlib}/Search
%{_mandir}/man3/Search::Dict.3perl*
%{perl_privlib}/SelfLoader.pm
%{_mandir}/man3/SelfLoader.3perl*
%{perl_privlib}/TAP
%{_mandir}/man3/TAP::Base.3perl*
%{_mandir}/man3/TAP::Formatter::*.3perl*
%{_mandir}/man3/TAP::Harness*.3perl*
%{_mandir}/man3/TAP::Object.3perl*
%{_mandir}/man3/TAP::Parser*.3perl*
%{perl_privlib}/Term
%{_mandir}/man3/Term::ANSIColor.3perl*
%{_mandir}/man3/Term::Cap.3perl*
%{_mandir}/man3/Term::Complete.3perl*
%{_mandir}/man3/Term::ReadLine.3perl*
%{_mandir}/man3/Term::Table*.3perl*

%{perl_privlib}/Test.pm
%{perl_privlib}/Test
%{_mandir}/man3/Test.3perl*
%{_mandir}/man3/Test::Builder*.3perl*
%{_mandir}/man3/Test::Harness.3perl*
%{_mandir}/man3/Test::More.3perl*
%{_mandir}/man3/Test::Simple.3perl*
%{_mandir}/man3/Test::Tester*.3perl*
%{_mandir}/man3/Test::Tutorial.3perl*
%{_mandir}/man3/Test::use::ok.3perl*

%{perl_privlib}/Test2.pm
%{perl_privlib}/Test2
%{_mandir}/man3/Test2.3perl*
%{_mandir}/man3/Test2::*.3perl*

%{perl_privlib}/Text
%{_mandir}/man3/Text::Abbrev.3perl*
%{_mandir}/man3/Text::Balanced.3perl*
%{_mandir}/man3/Text::ParseWords.3perl*
%{_mandir}/man3/Text::Tabs.3perl*
%{_mandir}/man3/Text::Wrap.3perl*
%if %{with threads}
%{perl_privlib}/Thread.pm
%{perl_privlib}/Thread
%{_mandir}/man3/Thread*.3perl*
%endif
%{perl_privlib}/User
%{_mandir}/man3/User::grent.3perl*
%{_mandir}/man3/User::pwent.3perl*

%files perldoc
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/perldoc
%{perl_privlib}/perlfaq.pm
%dir %{perl_privlib}/pod
%{perl_privlib}/pod/perldiag.pod
%{perl_privlib}/pod/perlfaq*.pod
%{perl_privlib}/pod/perlfunc.pod
%{_mandir}/man1/perldoc.1*
%{_mandir}/man1/perldocstyle.1*

%files tools
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/corelist
%{_mandir}/man1/corelist.1*
%attr(755,root,root) %{_bindir}/encguess
%{_mandir}/man1/encguess.1*
%attr(755,root,root) %{_bindir}/instmodsh
%{_mandir}/man1/instmodsh.1*
%attr(755,root,root) %{_bindir}/json_pp
%{_mandir}/man1/json_pp.1*
%attr(755,root,root) %{_bindir}/libnetcfg
%{_mandir}/man1/libnetcfg.1*
%attr(755,root,root) %{_bindir}/ptar
%{_mandir}/man1/ptar.1*
%attr(755,root,root) %{_bindir}/ptargrep
%{_mandir}/man1/ptargrep.1*
%attr(755,root,root) %{_bindir}/ptardiff
%{_mandir}/man1/ptardiff.1*
%attr(755,root,root) %{_bindir}/shasum
%{_mandir}/man1/shasum.1*
%attr(755,root,root) %{_bindir}/streamzip
%{_mandir}/man1/streamzip.1*
%attr(755,root,root) %{_bindir}/zipdetails
%{_mandir}/man1/zipdetails.1*

%files tools-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/perlbug
%{_mandir}/man1/perlbug.1*
%attr(755,root,root) %{_bindir}/h2ph
%{_mandir}/man1/h2ph.1*
%attr(755,root,root) %{_bindir}/h2xs
%{_mandir}/man1/h2xs.1*
%attr(755,root,root) %{_bindir}/perlivp
%{_mandir}/man1/perlivp.1*
%attr(755,root,root) %{_bindir}/pl2pm
%{_mandir}/man1/pl2pm.1*
%attr(755,root,root) %{_bindir}/prove
%{_mandir}/man1/prove.1*
%attr(755,root,root) %{_bindir}/splain
%{_mandir}/man1/splain.1*
%attr(755,root,root) %{_bindir}/xsubpp
%{_mandir}/man1/xsubpp.1*

%files tools-pod
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/pod2*
%attr(755,root,root) %{_bindir}/podchecker
%{_mandir}/man1/pod2*.1*
%{_mandir}/man1/podchecker.1*

%files Encode
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/enc2xs
%attr(755,root,root) %{_bindir}/piconv
# for dependant packages (ex. perl-Encode-Locale)
%{perl_vendorlib}/Encode
# FIXME: *.h to devel(?), check out the use for *.e2x files
%{perl_privlib}/Encode
%{perl_archlib}/Encode
%{perl_archlib}/Encode.pm
%{perl_archlib}/encoding.pm
%dir %{perl_archlib}/auto/Encode
%attr(755,root,root) %{perl_archlib}/auto/Encode/Encode.so
%dir %{perl_archlib}/auto/Encode/Byte
%attr(755,root,root) %{perl_archlib}/auto/Encode/Byte/Byte.so
%dir %{perl_archlib}/auto/Encode/CN
%attr(755,root,root) %{perl_archlib}/auto/Encode/CN/CN.so
%dir %{perl_archlib}/auto/Encode/EBCDIC
%attr(755,root,root) %{perl_archlib}/auto/Encode/EBCDIC/EBCDIC.so
%dir %{perl_archlib}/auto/Encode/JP
%attr(755,root,root) %{perl_archlib}/auto/Encode/JP/JP.so
%dir %{perl_archlib}/auto/Encode/KR
%attr(755,root,root) %{perl_archlib}/auto/Encode/KR/KR.so
%dir %{perl_archlib}/auto/Encode/Symbol
%attr(755,root,root) %{perl_archlib}/auto/Encode/Symbol/Symbol.so
%dir %{perl_archlib}/auto/Encode/TW
%attr(755,root,root) %{perl_archlib}/auto/Encode/TW/TW.so
%dir %{perl_archlib}/auto/Encode/Unicode
%attr(755,root,root) %{perl_archlib}/auto/Encode/Unicode/Unicode.so
%{_mandir}/man1/enc2xs.1*
%{_mandir}/man1/piconv.1*
%{_mandir}/man3/Encode*.3perl*
%{_mandir}/man3/encoding.3perl*

%if %{with gdbm}
%files GDBM_File
%defattr(644,root,root,755)
%{perl_archlib}/GDBM_File.pm
%dir %{perl_archlib}/auto/GDBM_File
%attr(755,root,root) %{perl_archlib}/auto/GDBM_File/GDBM_File.so
%{_mandir}/man3/GDBM_File.3perl*
%endif

%files Scalar-List-Utils
%defattr(644,root,root,755)
%{perl_archlib}/List
%{perl_archlib}/Scalar
%dir %{perl_archlib}/Sub
%{perl_archlib}/Sub/Util.pm
%dir %{perl_archlib}/auto/List
%dir %{perl_archlib}/auto/List/Util
%attr(755,root,root) %{perl_archlib}/auto/List/Util/Util.so
%{_mandir}/man3/Scalar::Util.3perl*
%{_mandir}/man3/List::Util*.3perl*
%{_mandir}/man3/Sub::Util.3perl*
%changelog
* Thu Jan 23 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl.git;a=log;h=master

* Wed Jan 22 2025 Jan Palus <atler@pld-linux.org> 8faaae7
- up to 5.40.1

* Mon Jun 10 2024 Jan Palus <atler@pld-linux.org> 3fbe30b
- up to 5.40.0

* Wed Dec 06 2023 Jan Palus <atler@pld-linux.org> 1547245
- noarch -doc-reference

* Wed Dec 06 2023 Jan Palus <atler@pld-linux.org> 05ced9a
- up to 5.38.2 (fixes CVE-2023-47038)

* Wed Jul 05 2023 Jan Palus <atler@pld-linux.org> 591f66a
- up to 5.38.0

* Wed Jul 05 2023 Jan Palus <atler@pld-linux.org> 2005d3d
- package version (following name) extraction from system perl.prov

* Wed May 03 2023 Jan Palus <atler@pld-linux.org> 48df73a
- up to 5.36.1

* Wed Feb 01 2023 Arkadiusz Miśkiewicz <arekm@maven.pl> cf0aaaa
- Release 4 (by relup.sh)

* Sun Aug 21 2022 Jan Palus <atler@pld-linux.org> 5b39509
- Release 3 (by relup.sh)

* Sun Aug 21 2022 Jan Palus <atler@pld-linux.org> 10c88f0
- bump epoch for Encode; rel 2

* Sun Aug 21 2022 Jan Palus <atler@pld-linux.org> 012982a
- updated hash for uconfig.sh

* Sun Aug 21 2022 Jan Palus <atler@pld-linux.org> 1ff40ce
- up to 5.36.0

* Tue May 10 2022 Jan Palus <atler@pld-linux.org> 6d31f4e
- patch from debian to disable sysv ipc tests on x32

* Tue May 10 2022 Jan Palus <atler@pld-linux.org> ffbc0f7
- up to 5.34.1

* Wed Mar 23 2022 Jakub Bogusz <qboosh@pld-linux.org> 099bfdd
- versioned Obsoletes

* Sat Feb 26 2022 Jan Rękorajski <baggins@pld-linux.org> f131d84
- bump abi, rel 2

* Sat Feb 26 2022 Jan Rękorajski <baggins@pld-linux.org> 45a5f07
- upstream fixes for gdbm breakage, rel 1

* Mon May 31 2021 Jan Rękorajski <baggins@pld-linux.org> dcbd7ae
- up to 5.34.0

* Sun May 16 2021 Jakub Bogusz <qboosh@pld-linux.org> f486552
- track -tools-pod files more precisely (podselect is gone in 5.32)

* Sat May 08 2021 Jan Rękorajski <baggins@pld-linux.org> 4ed8057
- Release 5 (by relup.sh)

